Capitolo 2. Esecuzione di GIMP
| Parte I. Introduzione a GIMP |

## Capitolo 2. Esecuzione di GIMP

## 1. Eseguire GIMP

Diario delle Revisioni
Revisione $Revision: 2504 $ | 2006-02-17 | ciampix

Il modo più usato per eseguire GIMP è di fare clic sull'icona corrispondente (se il vostro sistema è predisposto per mostrarla) oppure potete anche eseguirlo battendo gimp a riga di comando. Se ci sono più versioni di GIMP installate, può essere necessario battere per es. gimp-2.4 per eseguire la versione specificata. È possibile aggiungere alla riga di comando, dopo il nome di gimp, un'elenco di file immagine e questi saranno automaticamente aperti da GIMP alla partenza. Naturalmente è sempre possibile aprire altri file da GIMP una volta che questo è in esecuzione.

Molti sistemi operativi sono impostabili in modo tale da "associare" vari tipi di immagine a GIMP i maniera da farlo partire automaticamente quando si esegue un doppio clic sulle loro icone.

### 1.1. Piattaforme conosciute

GIMP è attualmente il programma di fotoritocco più ampiamente supportato esistente. Le piattaforme su cui GIMP è provato funzionare includono

GNU/Linux™, Apple Mac OS X™, Microsoft Windows™, OpenBSD™, NetBSD™, FreeBSD™, Solaris™, SunOS™, AIX™, HP-UX™, Tru64™, Digital UNIX™, OSF/1™, IRIX™, OS/2™ and BeOS™.

GIMP può essere facilmente portato su altri sistemi operativi grazie alla disponibilità del suo codice sorgente.

### 1.2. Lingua

Se tutto va bene, GIMP rileva la lingua dal sistema. Questo meccanismo potrebbe non funzionare su alcune macchine o si potrebbe voler usare un'altra lingua. È comunque possibile cambiare lingua:

Linux

  In LINUX: in console, battere `LANGUAGE=it gimp` o `LANG=it gimp` sostituire it con en, de, ecc. a seconda della lingua che si desidera impostare. Nota: con l'esecuzione del comando `LANGUAGE=it o LANG=it` si sta impostando una variabile ambiente per il programma eseguito successivamente, in questo caso `gimp`.

Windows XP

  In WINDOWS XP: Pannello di controllo / Sistema / Avanzato / tasto "Ambiente" / Nell'area "Variabili di sistema": Tasto "Aggiungi": inserire LANG come nome e it o de... come valore. Attenzione! È necessario fare clic sui tre "OK" successivi per confermare la scelta.

  Se si cambia spesso lingua, è possibile creare una procedura batch per automatizzare il processo. Aprire il programma "Blocco note" e battere i seguenti comandi (per la lingua francese ad esempio):

  set lang=fr
  cd c:\Programmi\GIMP-2.0\bin
  GIMP-2.4.exe

  Salvare questo file come GIMP-FR.BAT (o altro nome, basta che sia sempre con l'estensione .BAT. Creare un'icona per esso e trascinarla sul desktop o su un menu a piacere.

Apple Mac OS X

  Andare alle preferenze di sistema, fare clic sull'icona internazionale, e nella linguetta Lingua, la lingua preferita dovrebbe essere la prima dell'elenco.

### 1.3. Argomenti della riga di comando

Normalmente non è necessario dare alcun argomento per far partire GIMP, comunque qui sotto sono elencati alcuni che potrebbero prima o poi tornare utili. Non è un'elenco completo; sui sistemi Unix puoi ottenere l'elenco completo eseguendo `man gimp` in una finestra di terminale.

Per usare le opzioni da riga di comando, è necessario impostarle nella riga di comando usata per avviare GIMP nella forma: gimp-2.4 [OPZIONI...] [FILE|URI...].

-?, --help

  Mostra un'elenco di tutte le opzioni a riga di comando.

--help-all

  Mostra tutte le opzioni di aiuto.

--help-gtk

  Mostra le opzioni GTK+.

-v, --version

  Stampa la versione di GIMP e esce.

--license

  Mostra le informazioni sulla licenza e esce.

--verbose

  Mostra i messaggi di partenza in maniera dettagliata.

-n, --new-instance

  Esegue una nuova istanza di GIMP.

-a, --as-new

  Apri le immagini come nuove.

-i, --no-interface

  Esegui senza interfaccia utente.

-d, --no-data

  Non caricare motivi, gradienti, tavolozze, o pennelli. Spesso utile in ambiti non interattivi dove il tempo di esecuzione deve essere ottimizzato.

-f, --no-fonts

  Non caricare nessun carattere. Questa opzione può servire sia a velocizzare la partenza di GIMP per script che non usano i caratteri, sia a trovare i problemi relativi a font malformati che potrebbero bloccare la partenza di GIMP.

-s, --no-splash

  Non mostrare la schermata iniziale alla partenza.

--no-shm

  Non utilizzare la memoria condivisa tra GIMP e i plugin.

--no-cpu-accel

  Non utilizzare le speciali accelerazioni CPU. Utile per trovare e eventualmente disabilitare funzioni o hardware di accelerazione bacati.

--session=`name`

  Usa un file `sessionrc` differente per la sessione GIMP. Il nome di sessione dato viene accodato al nome file `sessionrc` predefinito.

--gimprc=`filename`

  Usa un gimprc alternativo invece del predefinito. Il file "gimprc" contiene la registrazione delle preferenze. Utile nel caso che il percorso dei plugin o le specifiche macchina siano differenti.

--system-gimprc=`filename`

  Usa un file gimprc di sistema alternativo

-b, --batch=`commands`

  Esegui l'insieme dei comandi in maniera non interattiva. L'insieme dei comandi è tipicamente in forma di script che può essere eseguito da una delle estensioni di script di GIMP. Se il comando è `-` i comandi vengono letti dallo standard input.

--batch-interpreter=`proc`

  La procedura per elaborare i comandi batch

--console-messages

  Non mostrare le finestre di dialogo per errori e avvertimenti. Stampa tutti i messaggi sulla console.

--pdb-compat-mode=`mode`

  Modalità compatibile PDB (off|on|warn).

--stack-trace-mode=`mode`

  Esegui il debug nel caso di un blocco (never|query|always). Utile per regolare l'avvio delle procedure di debug in caso di blocco (mai|chiedi|sempre).

--debug-handlers

  Abilita debugging dei segnali non fatali. Utile per il debugging di GIMP.

--g-fatal-warnings

  Fai in modo che tutti gli avvertimenti (warning) siano fatali. Utile per il debug.

--dump-gimprc

  Genera un file gimprc con valori predefiniti. Utile se si ha il dubbio di aver rovinato il file gimprc.

--display=`display`

  Usato per indicare il display X (non usato nella versione di GIMP per Microsoft Windows).

2. Cosa c'è di nuovo in GIMP 2.4? |  | 2. Prima esecuzionde di GIMP